Alerta de Segurança Debian

DSA-312-1 kernel-patch-2.4.18-powerpc -- várias vulnerabilidades

Data do Alerta:
09 Jun 2003
Pacotes Afetados:
kernel-patch-2.4.18-powerpc
Vulnerável:
Sim
Referência à base de dados de segurança:
Na base de dados do BugTraq (na SecurityFocus): ID BugTraq 6535, ID BugTraq 7112, ID BugTraq 7600, ID BugTraq 7601, ID BugTraq 7791, ID BugTraq 7793, ID BugTraq 7797.
No dicionário CVE do Mitre: CVE-2002-0429, CVE-2003-0001, CVE-2003-0127, CVE-2003-0244, CVE-2003-0246, CVE-2003-0247, CVE-2003-0248, CVE-2003-0364.
Informações adicionais:

Várias vulnerabilidades foram encontradas no kernel Linux.

CVE-2002-0429: As rotinas iBCS no arch/i386/kernel/traps.c dos kernels Linux 2.4.18 e anteriores para sistemas x86 permitem que usuários locais matem processos arbitrários através de uma interface de compatibilidade binária (local).

CAN-2003-0001: Vários drivers de placas de rede ethernet (NIC) não enchem os frames com bytes nulos, o que permite que atacantes remotos possam obter informações de pacotes anteriores ou da memória do kernel usando pacotes mal formados.

CAN-2003-0127: O carregador de módulos do kernel permite que usuários locais obtenham privilégios de root usando o ptrace para anexar em um processo filho que é distribuído pelo kernel.

CAN-2003-0244: A rotina de implementação de cache no Linux 2.4 e o módulo de tratamento de conexões IP do NetFilter permitem que atacantes remotos causem uma negação de serviço (consumo de CPU) atráves de pacotes com endereços de origem esquecidos o que causa em um grande número de colisões relatadas na tabela hash do chain PREROUTING.

CAN-2003-0246: A chamada de sistema ioperm no kernel Linux 2.4.20 e anteriores não faz uma restrição de privilégios adequada, o que permite que usuários locais obtenham acesso de leitura e gravação em certas portas de I/O.

CAN-2003-0247: Uma vulnerabilidade na camada TTY do kernel Linux 2.4 permite que atacantes causem uma negação de serviço ("kernel oops").

CAN-2003-0248: O código mxcsr do kernel Linux 2.4 permite que atacantes modifiquem os registros de estado da CPU atráves de um endereço mal formado.

CAN-2003-0364: O tratamento de fragmentos TCP/IP no kernel Linux 2.4 permite que atacantes remotos causem uma negação de serviço ("consumo de CPU") atráves de certos pacotes que causem um grande número de colisões na tabela hash.

Este alerta cobre apenas a arquitetura powerpc. Outras arquiteturas serão cobertas por um alerta individual.

Na atual distribuição estável (woody), na arquitetura powerpc, estes problemas foram corrigidos na versão 2.4.18-1woody1.

Na distribuição instável (sid) estes problemas foram corrigidos na versão 2.4.20-2.

Nós recomendamos que você atualize seus pacotes de kernels.

NOTA: Uma reinicialização do sistema será necessária imediatamente após a atualização para substituir o kernel em execução. Lembre-se de ler e seguir cuidadosamente as instruções dadas durante o processo de atualização do kernel.

Corrigido em:

Debian GNU/Linux 3.0 (woody)

Fonte:
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.18-powerpc/kernel-patch-2.4.18-powerpc_2.4.18-1woody1.dsc
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.18-powerpc/kernel-patch-2.4.18-powerpc_2.4.18-1woody1.tar.gz
Componente independente de arquitetura:
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.18-powerpc/kernel-patch-2.4.18-powerpc_2.4.18-1woody1_all.deb
PowerPC:
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.18-powerpc/kernel-headers-2.4.18_2.4.18-1woody1_powerpc.deb
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.18-powerpc/kernel-image-2.4.18-newpmac_2.4.18-1woody1_powerpc.deb
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.18-powerpc/kernel-image-2.4.18-powerpc_2.4.18-1woody1_powerpc.deb
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.18-powerpc/kernel-image-2.4.18-powerpc-smp_2.4.18-1woody1_powerpc.deb

Checksums MD5 dos arquivos listados estão disponíveis no alerta original.